Subject: Re: bug#15987: 24.3; diary-add-to-list ignored by diary-mark-entries

From: "Roland Winkler" <[email-masked]>
Date: Tue, 20 Aug 2019 22:41:18 -0500

On Wed Aug 21 2019 Stefan Kangas wrote:
> Roland Winkler <[email-masked]> writes:
> 
> > I believe, the cleanest, backward-compatible solution would be to
> > use bbdb-anniv-goto-entry as a replacement for diary-goto-entry
> > and declare diary-goto-entry-function obsolete.  (The obsolete
> > variable diary-goto-entry-function could be kept for some time
> > without harm.)
> 
> Thanks for clarifying.  Would you be willing to write that up, if
> everyone agrees on the solution?

Sure, I can do what I said above.  (I do not know todo-mode that
currently "hijacks" diary-goto-entry-function for its purposes.
It is probably easier if someone else can do that part.)